## muon 5.8.0

=== CMakeLists.txt ===
project(muon)
set(PROJECT_VERSION "5.8.0")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.6.0 REQUIRED CONFIG COMPONENTS Widgets Concurrent)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)

find_package(KF5 REQUIRED KIO DBusAddons I18n IconThemes XmlGui)

find_package(QApt 3.0.2 REQUIRED)
find_package(DebconfKDE 1.0.0 REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

set(MUON_VERSION ${PROJECT_VERSION})
configure_file(MuonVersion.h.in MuonVersion.h)

add_subdirectory(src)

set_package_properties(QApt PROPERTIES
    DESCRIPTION "Qt wrapper around the libapt-pkg library"
    PURPOSE "Used to support apt-based distribution systems"
    TYPE REQUIRED)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
add_subdirectory(icons)

set(muon_SRCS
    main.cpp
    MainWindow.cpp
    ManagerWidget.cpp
    ReviewWidget.cpp
    DetailsTabs/DetailsTab.cpp
    DetailsTabs/MainTab.cpp
    DetailsTabs/ChangelogTab.cpp
    DetailsTabs/DependsTab.cpp
    DetailsTabs/InstalledFilesTab.cpp
    DetailsTabs/TechnicalDetailsTab.cpp
    DetailsTabs/VersionTab.cpp
    DetailsWidget.cpp
    DownloadModel/DownloadModel.cpp
    DownloadModel/DownloadDelegate.cpp
    FilterWidget/ArchitectureFilter.cpp
    FilterWidget/CategoryFilter.cpp
    FilterWidget/FilterModel.cpp
    FilterWidget/FilterWidget.cpp
    FilterWidget/OriginFilter.cpp
    FilterWidget/StatusFilter.cpp
    PackageModel/PackageModel.cpp
    PackageModel/PackageProxyModel.cpp
    PackageModel/PackageView.cpp
    PackageModel/PackageViewHeader.cpp
    PackageModel/PackageDelegate.cpp
    PackageModel/PackageWidget.cpp
    StatusWidget.cpp
    TransactionWidget.cpp
    config/ManagerSettingsDialog.cpp
    config/GeneralSettingsPage.cpp
    settings/SettingsPageBase.cpp
    
    muonapt/ChangesDialog.cpp
    muonapt/MuonStrings.cpp
    muonapt/QAptActions.cpp
    muonapt/HistoryView/HistoryView.h
    muonapt/HistoryView/HistoryProxyModel.h
    muonapt/HistoryView/HistoryView.cpp
    muonapt/HistoryView/HistoryProxyModel.cpp

)

kconfig_add_kcfg_files(muon_SRCS GENERATE_MOC config/MuonSettings.kcfgc)
install(FILES config/muon.kcfg DESTINATION ${KCFG_INSTALL_DIR})

add_executable(muon ${muon_SRCS})

target_compile_definitions(muon PRIVATE -DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\")

target_link_libraries(muon DebconfKDE::Main
                           KF5::KIOWidgets
                           KF5::DBusAddons
                           KF5::I18n
                           KF5::IconThemes
                           KF5::XmlGui
                           Qt5::Concurrent
                           QApt::Main)

install(TARGETS muon ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.muon.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES muonui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/muon )
install( FILES org.kde.muon.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== src/icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        128-apps-muon.png
        16-apps-muon.png
        22-apps-muon.png
        256-apps-muon.png
        32-apps-muon.png
        48-apps-muon.png
        64-apps-muon.png
        sc-apps-muon.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== debian/changelog ===
muon (4:5.8.0-1ubuntu5) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:16 +0100

muon (4:5.8.0-1ubuntu4) cosmic; urgency=medium

  * Add depends on kde-cli-tools for kdesu, so launching software-
    proprties-qt from Muon works under any DE.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Sep 2018 01:34:44 +0100

muon (4:5.8.0-1ubuntu3) cosmic; urgency=medium

  * Add breaks/replaces on software-properties-kde.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Aug 2018 14:55:51 +0100

muon (4:5.8.0-1ubuntu2) cosmic; urgency=medium

  * Switch depends from software-properties-kde to newly ported
    software-properties-qt.
  * Provide a compatibility symlink so Muon can still launch software-
    properties. Can be dropped when a new Muon release adapts to the
    kde -> qt binary name change.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Aug 2018 11:23:30 +0100

muon (4:5.8.0-1ubuntu1) cosmic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Don't adopt debian/patches/no-canonical-support patch
    - debian/control: Depends on software-properties-kde
    - Keep Kubuntu VCS fields

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 25 Jun 2018 06:33:16 +0100

muon (4:5.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove the muon-updater recommend, as it does not exist anymore.
  * Small changes to the descriptions.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Apr 2018 06:12:37 +0200

muon (4:5.8.0-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (5.8.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Mar 2018 18:14:36 +0000

muon (4:5.7.0-1ubuntu1) bionic; urgency=medium

  * Sync with debian changes: remaining changes
    - Don't adopt debian/patches/no-canonical-support patch
    - Depends on software-properties-kde and drop obsolete recommends
      on muon-updater
    - Keep Kubuntu VCS fields

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 13:22:01 +0000

muon (4:5.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Rohan Garg ]
  * Update watch file to point to new location

  [ Maximiliano Curia ]
  * Use the new kf dev names

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - no-canonical-support: refresh, and add the .diff suffix to its filename
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop muon.install, no more useful now
  * Bump Standards-Version to 4.1.1, no changes required.
  * Use https in the watch file.
  * Update Vcs-* fields.
  * Remove trailing whitespaces in changelog.
  * Remove unused build dependencies: kinit-dev, libkf5archive-dev,
    libkf5attica-dev, libkf5config-dev, libkf5configwidgets-dev,
    libkf5coreaddons-dev, libkf5declarative-dev, libkf5itemviews-dev,
    libkf5kdelibs4support-dev, libkf5newstuff-dev, libkf5notifications-dev,
    libkf5plasma-dev, libkf5solid-dev, libkf5textwidgets-dev, libkf5wallet-dev,
    libkf5widgetsaddons-dev, libphonon4qt5-dev, libphonon4qt5experimental-dev,
    libqt5svg5-dev, and qtdeclarative5-dev
    - add libkf5xmlgui-dev, now explicitly required

 -- Pino Toscano <pino@debian.org>  Wed, 29 Nov 2017 08:28:34 +0100

=== debian/control ===
Source: muon
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.6.0),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5xmlgui-dev,
               libqapt-dev (>= 3.0.2),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/muon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/muon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/muon

Package: muon
Architecture: any
Depends: apt-xapian-index,
         kde-cli-tools,
         libqapt3 (>= 3.0.2),
         libqapt3-runtime (>= 3.0.2),
         software-properties-qt,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: software-properties-kde
Replaces: software-properties-kde
Description: graphical package manager
 Muon is a graphical package manager.
 .
 Features of note include:
  * A powerful, yet intuitive interface
  * Fast, accurate package search using the apt-xapian index and the Synaptic
    search algorithm
  * Support for filtering packages by status and category
  * Media change support
  * Support for configuring packages through the debconf system
  * Warn about/disallow the installation of untrusted packages, depending on
    APT settings
  * Uses Polkit for running privileged actions for enhanced security,
    convenience, and desktop integration
  * Power management suspension during package downloads, installations and
    removals
  * Support for download the latest changelog of a package
  * Package screenshots

=== debian/watch ===
version=3
https://download.kde.org/stable/muon/([\d.]+)/src/muon-([\d.]+)\.tar\.xz
